Issue 120568 - Hyperlink of Graphihc with Anchor Type "As Character" lost after save as doc format.
Hyperlink of Graphihc with Anchor Type "As Character" lost after save as doc ...
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: save-export
4.0.0-dev
All Windows XP
: P3 normal (vote)
: 4.0.0
Assigned To: qiuhuaidong
:
Depends on:
Blocks: 120927
  Show dependency treegraph
 
Reported: 2012-08-14 08:56 UTC by qiuhuaidong
Modified: 2012-10-09 09:23 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
add a url filed for hyperlinked picture (1.13 KB, patch)
2012-08-14 09:03 UTC, qiuhuaidong
qiuhuaidong: review?
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description qiuhuaidong 2012-08-14 08:56:55 UTC
Hyperlink applied to a picture with "As character" setting in doc file can be displayed correctly. But after saving the file as doc file, hyperlink of the picture lost.
Comment 1 qiuhuaidong 2012-08-14 09:03:28 UTC
Created attachment 78938 [details]
add a url filed for hyperlinked picture

Word processor keeps the hyperlink of a picture as a attribute of the frame which contains the picture, but when the file saved as .doc file, word processor ignores the the hyperlink attribute.

The patch adds some code to create a MS url field for the picture when the file been exported as .doc file.
Comment 2 Yan Ji 2012-08-15 01:39:52 UTC
The problem can be reproduced against latest AOO 3.4.1 build rev 1372282
Comment 3 Jian Hong Cheng 2012-08-24 03:15:55 UTC
Reviewed and committed with revision:1376816
Comment 4 Jian Hong Cheng 2012-08-24 03:16:52 UTC
This fix only focus on the url of the hyperlink applied to a graphic whose anchor type is "As Character"..
Comment 5 Du Jing 2012-08-28 03:49:06 UTC
verified on the build r1377620
Comment 6 Shenfeng Liu 2012-10-09 09:23:44 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.